## neutron-dynamic-routing 10.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0

eventlet!=0.18.3,>=0.18.2 # MIT
httplib2>=0.7.5 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.9.0 # MIT
neutron-lib>=1.1.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

## neutron-dynamic-routing 9.0.0

=== debian/changelog ===
neutron-dynamic-routing (2:9.0.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch requirements.txt to drop SQLAlchemy << 1.1 dependency

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 23 Jan 2017 23:02:04 +0100

neutron-dynamic-routing (2:9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Oct 2016 07:08:54 +0000

neutron-dynamic-routing (2:9.0.0~rc2-1) experimental; urgency=medium

  * Initial release (Closes: #839826).

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 13:48:56 +0200

=== debian/control ===
Source: neutron-dynamic-routing
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-fixtures (>= 3.0.0),
                     python-alembic (>= 0.8.4),
                     python-coverage,
                     python-eventlet (>= 0.18.2),
                     python-hacking (>= 0.11.0),
                     python-httplib2 (>= 0.7.5),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-neutron (>= 2:9.0.0~rc1),
                     python-neutron-lib (>= 0.4.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 3.14.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-reno,
                     python-requests-mock (>= 1.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-subunit,
                     python-tempest (>= 1:12.1.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python-webtest (>= 2.0),
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-dynamic-routing?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-dynamic-routing -b debian/newton
Homepage: https://github.com/openstack/neutron-dynamic-routing

Package: python-neutron-dynamic-routing
Architecture: all
Section: python
Depends: python-alembic (>= 0.8.4),
         python-eventlet (>= 0.18.2),
         python-httplib2 (>= 0.7.5),
         python-netaddr (>= 0.7.13),
         python-neutron (>= 2:9.0.0~rc1),
         python-neutron-lib (>= 0.4.0),
         python-oslo.config (>= 3.14.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack Neutron Dynamic Routing - Python 2.7 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package provides the Python 2.7 library.

Package: neutron-dynamic-routing-common
Architecture: all
Depends: neutron-common,
         python-neutron-dynamic-routing (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack Neutron Dynamic Routing - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package contains common files.

Package: neutron-bgp-dragent
Architecture: all
Depends: neutron-dynamic-routing-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack Neutron Dynamic Routing - Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package contains the Dynamic Routing agent.

## neutron-dynamic-routing 10.0.0

=== debian/changelog ===
neutron-dynamic-routing (2:10.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 10:07:18 -0500

neutron-dynamic-routing (2:10.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Feb 2017 08:56:32 -0500

neutron-dynamic-routing (2:10.0.0~b3-0ubuntu1) zesty; urgency=medium

  * debian/watch: Update to point to tarballs.openstack.org 
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 11:46:08 -0500

neutron-dynamic-routing (2:10.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 18 Nov 2016 08:31:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: neutron-dynamic-routing
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
@@ -11,43 +13,45 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-fixtures (>= 3.0.0),
-                     python-alembic (>= 0.8.4),
-                     python-coverage,
+Build-Depends-Indep: python-alembic (>= 0.8.10),
+                     python-coverage (>= 4.0),
                      python-eventlet (>= 0.18.2),
+                     python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.11.0),
                      python-httplib2 (>= 0.7.5),
                      python-mock (>= 2.0),
                      python-netaddr (>= 0.7.13),
-                     python-neutron (>= 2:9.0.0~rc1),
-                     python-neutron-lib (>= 0.4.0),
+                     python-neutron (>= 2:10.0.0~b1),
+                     python-neutron-lib (>= 1.1.0),
+                     python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 3.14.0),
-                     python-oslo.db (>= 4.10.0),
-                     python-oslo.log (>= 1.14.0),
-                     python-oslo.messaging (>= 5.2.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.db (>= 4.15.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslo.messaging (>= 5.14.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1.10.0),
                      python-reno,
-                     python-requests-mock (>= 1.0),
+                     python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
+                     python-sphinx (>= 1.2.1),
                      python-sqlalchemy (>= 1.0.10),
                      python-subunit,
                      python-tempest (>= 1:12.1.0),
-                     python-testresources,
-                     python-testscenarios,
+                     python-testrepository (>= 0.0.18),
+                     python-testresources (>= 0.2.4),
+                     python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python-webob,
+                     python-webob (>= 1.6.0),
                      python-webtest (>= 2.0),
                      subunit,
-                     tempest (>= 1:12.1.0),
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-dynamic-routing?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-dynamic-routing -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-dynamic-routing
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-dynamic-routing
 Homepage: https://github.com/openstack/neutron-dynamic-routing
 
 Package: python-neutron-dynamic-routing
@@ -57,20 +61,20 @@
          python-eventlet (>= 0.18.2),
          python-httplib2 (>= 0.7.5),
          python-netaddr (>= 0.7.13),
-         python-neutron (>= 2:9.0.0~rc1),
-         python-neutron-lib (>= 0.4.0),
+         python-neutron (>= 2:10.0.0~b1),
+         python-neutron-lib (>= 1.0.0),
          python-oslo.config (>= 3.14.0),
-         python-oslo.db (>= 4.10.0),
-         python-oslo.log (>= 1.14.0),
+         python-oslo.db (>= 4.11.0),
+         python-oslo.log (>= 3.11.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Provides: ${python:Provides},
 Description: OpenStack Neutron Dynamic Routing - Python 2.7 library
  Neutron provides an API to dynamically request and configure virtual networks.
@@ -104,7 +108,7 @@
          python-neutron-dynamic-routing (= ${source:Version}),
          ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: OpenStack Neutron Dynamic Routing - common files
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
@@ -136,7 +140,7 @@
 Depends: neutron-dynamic-routing-common (= ${source:Version}),
          ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: OpenStack Neutron Dynamic Routing - Agent
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as

## neutron-dynamic-routing 10.0.0%7eb1

=== requirements.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 httplib2>=0.7.5 # MIT
 netaddr!=0.7.16,>=0.7.13 # BSD
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
-alembic>=0.8.10 # MIT
+alembic>=0.8.4 # MIT
 six>=1.9.0 # MIT
-neutron-lib>=1.1.0 # Apache-2.0
+neutron-lib>=1.0.0 # Apache-2.0
 oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
-oslo.db>=4.15.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.11.0 # Apache-2.0
 oslo.log>=3.11.0 # Apache-2.0
-oslo.messaging>=5.14.0 # Apache-2.0
+oslo.messaging>=5.2.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.service>=1.10.0 # Apache-2.0
 oslo.utils>=3.18.0 # Apache-2.0

## neutron-dynamic-routing 11.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
httplib2>=0.7.5 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.9.0 # MIT
neutron-lib>=1.9.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
neutron-dynamic-routing (2:11.0.0-0ubuntu2) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * d/p/fix-failure-when-adding-a-speaker-to-an-agent.patch: Cherry-picked
    from upstream stable/pike branch to ensure adding speaker to agent
    doesn't fail (LP: #1750121).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Apr 2018 10:22:07 -0400

neutron-dynamic-routing (2:11.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 15:01:36 +0100

neutron-dynamic-routing (2:11.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:27:15 -0400

neutron-dynamic-routing (2:11.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 21:30:52 -0400

neutron-dynamic-routing (2:11.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 14:31:23 -0400

neutron-dynamic-routing (2:11.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 22:36:04 +0100

neutron-dynamic-routing (2:11.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:07:52 +0100

neutron-dynamic-routing (2:11.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 17:02:47 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                dh-systemd,
                openstack-pkg-tools (>= 53~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: python-alembic (>= 0.8.10),
                      python-coverage (>= 4.0),
                      python-eventlet (>= 0.18.2),
@@ -22,30 +22,29 @@
                      python-mock (>= 2.0),
                      python-netaddr (>= 0.7.13),
                      python-neutron (>= 2:10.0.0~b1),
-                     python-neutron-lib (>= 1.1.0),
+                     python-neutron-lib (>= 1.9.0),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.db (>= 4.15.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.db (>= 4.24.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1.10.0),
                      python-reno,
                      python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
-                     python-sphinx (>= 1.2.1),
                      python-sqlalchemy (>= 1.0.10),
                      python-subunit,
-                     python-tempest (>= 1:12.1.0),
+                     python-tempest (>= 1:16.1.0),
                      python-testrepository (>= 0.0.18),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python-webob (>= 1.6.0),
+                     python-webob (>= 1.7.1),
                      python-webtest (>= 2.0),
                      subunit,
                      testrepository
@@ -62,15 +61,15 @@
          python-httplib2 (>= 0.7.5),
          python-netaddr (>= 0.7.13),
          python-neutron (>= 2:10.0.0~b1),
-         python-neutron-lib (>= 1.0.0),
-         python-oslo.config (>= 3.14.0),
-         python-oslo.db (>= 4.11.0),
-         python-oslo.log (>= 3.11.0),
-         python-oslo.messaging (>= 5.2.0),
+         python-neutron-lib (>= 1.9.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.db (>= 4.24.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
-         python-pbr (>= 1.8),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          ${misc:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.openstack.org/neutron-dynamic-routing/ neutron-dynamic-routing-(\d.*)\.tar\.gz

## neutron-dynamic-routing 12.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
httplib2>=0.9.1 # MIT
netaddr>=0.7.18 # BSD
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
neutron-lib>=1.13.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
neutron-dynamic-routing (2:12.0.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Remove Python 2.7 in description (Closes: #891949).

 -- David Rabel <david.rabel@noresoft.com>  Fri, 09 Mar 2018 17:27:46 +0100

neutron-dynamic-routing (2:12.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switch to Python 3.
  * Add neutron-common as build-depends, since the unit tests are attempting
    to read neutron.conf.
  * Blacklist TestBgpDrAgent.test_bgp_dragent_manager().
  * Standards-Version is now 4.1.3.
  * Removed dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Mar 2018 20:55:34 +0100

neutron-dynamic-routing (2:11.0.0-1) unstable; urgency=medium

  * New upstream release:
    - Fixes FTBFS (Closes: #882534).
  * Fixed (build-)depends for this release, and ran wrap-and-sort -bast.
  * Updated maintainer.
  * d/copyright: https for the format field.
  * Updated VCS URLs.
  * Deprecated priority extra, as per policy 4.1.0.
  * Standards-Version is now 4.1.2.
  * Removes requirements patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Dec 2017 17:30:07 +0100

=== debian/control ===
Source: neutron-dynamic-routing
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 68~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 neutron-common (>= 2:12.0.0~rc1),
 python3-alembic (>= 0.8.10),
 python3-coverage,
 python3-eventlet,
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.11.0),
 python3-httplib2,
 python3-mock (>= 2.0),
 python3-netaddr,
 python3-neutron (>= 2:12.0.0~rc1),
 python3-neutron-lib (>= 1.13.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno,
 python3-requests-mock (>= 1.1),
 python3-ryu (>= 4.14),
 python3-six,
 python3-sqlalchemy,
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.0.0),
 python3-webob (>= 1.7.1),
 python3-webtest (>= 2.0.27),
 subunit,
 tempest (>= 1:16.1.0),
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-dynamic-routing
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-dynamic-routing.git
Homepage: https://github.com/openstack/neutron-dynamic-routing

Package: neutron-bgp-dragent
Architecture: all
Depends:
 neutron-dynamic-routing-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack Neutron Dynamic Routing - Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package contains the Dynamic Routing agent.

Package: neutron-dynamic-routing-common
Architecture: all
Depends:
 neutron-common,
 python3-neutron-dynamic-routing (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack Neutron Dynamic Routing - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package contains common files.

Package: python3-neutron-dynamic-routing
Architecture: all
Section: python
Depends:
 python3-alembic (>= 0.8.10),
 python3-eventlet,
 python3-httplib2,
 python3-netaddr,
 python3-neutron (>= 2:12.0.0~rc1),
 python3-neutron-lib (>= 1.13.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-neutron-dynamic-routing,
Replaces:
 python-neutron-dynamic-routing,
Description: OpenStack Neutron Dynamic Routing - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package provides the Python library.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/neutron-dynamic-routing.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'neutron_dynamic_routing\.tests.unit\.(?!(.*services\.bgp.agent\.test_bgp_dragent\.TestBgpDrAgent\.test_bgp_dragent_manager.*))'
endif

	mkdir -p $(CURDIR)/debian/neutron-dynamic-routing-common/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-dynamic-routing-common/etc/neutron/bgp_dragent.ini \
		--wrap-width 140 \
		--namespace bgp.agent

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
	echo "Do nothing..."

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## neutron-dynamic-routing 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
httplib2>=0.9.1 # MIT
netaddr>=0.7.18 # BSD
SQLAlchemy>=1.2.0 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
neutron-lib>=1.18.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
neutron>=13.0.0.0b2 # Apache-2.0

=== debian/changelog ===
neutron-dynamic-routing (2:13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:29:38 +0200

neutron-dynamic-routing (2:13.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 21:28:28 +0200

neutron-dynamic-routing (2:12.0.0-3) unstable; urgency=medium

  * Fixed python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:45:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: neutron-dynamic-routing
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -13,7 +13,7 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- neutron-common (>= 2:12.0.0~rc1),
+ neutron-common (>= 2:13.0.0~rc1),
  python3-alembic (>= 0.8.10),
  python3-coverage,
  python3-eventlet,
@@ -22,12 +22,11 @@
  python3-httplib2,
  python3-mock (>= 2.0),
  python3-netaddr,
- python3-neutron (>= 2:12.0.0~rc1),
- python3-neutron-lib (>= 1.13.0),
+ python3-neutron (>= 2:13.0.0~rc1),
+ python3-neutron-lib (>= 1.18.0),
  python3-openstackdocstheme (>= 1.18.1),
- python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.25.0),
- python3-oslo.config (>= 1:5.1.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -36,10 +35,11 @@
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-reno,
- python3-requests-mock (>= 1.1),
- python3-ryu (>= 4.14),
+ python3-requests-mock (>= 1.2.0),
+ python3-ryu (>= 4.24),
  python3-six,
- python3-sqlalchemy,
+ python3-sqlalchemy (>= 1.2.0),
+ python3-stestr,
  python3-subunit,
  python3-tempest (>= 1:17.1.0),
  python3-testresources (>= 2.0.0),
@@ -49,7 +49,6 @@
  python3-webtest (>= 2.0.27),
  subunit,
  tempest (>= 1:16.1.0),
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-dynamic-routing
 Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-dynamic-routing.git
@@ -130,9 +129,9 @@
  python3-eventlet,
  python3-httplib2,
  python3-netaddr,
- python3-neutron (>= 2:12.0.0~rc1),
- python3-neutron-lib (>= 1.13.0),
- python3-oslo.config (>= 1:5.1.0),
+ python3-neutron (>= 2:13.0.0~rc1),
+ python3-neutron-lib (>= 1.18.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -141,7 +140,7 @@
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-six,
- python3-sqlalchemy,
+ python3-sqlalchemy (>= 1.2.0),
  ${misc:Depends},
  ${python3:Depends},
 Breaks:

=== debian/rules ===
--- 
+++ 
@@ -43,10 +43,5 @@
 override_dh_auto_test:
 	echo "Do nothing..."
 
-# Commands not to run
-override_dh_installcatalogs:
-override_dh_installemacsen override_dh_installifupdown:
-override_dh_installinfo override_dh_installmenu override_dh_installmime:
-override_dh_installmodules override_dh_installlogcheck:
-override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
-override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/neutron-dynamic-routing/tags .*/(\d[\d\.]+)\.tar\.gz
